/*  Bonnie Berger, David Wilson and Theodore Tonchev 1992  */
/*      C Header File       */
/*  If __scio_h__ is NOT yet defined, scio.h defines the function   */
/*  names in scio.c.  These functions are for reading/writing data, */
/*  inputting sequences, and converting between residue names and   */
/*  numbers, and between position letters and numbers.              */


#ifndef __scio_h__
#define __scio_h__ 1

#include "scconst.h"

/* Function Prototypes */
FILE *sopen(char*, char*);
void sclose(FILE *);

void open_file(FILE **, char*, char*);

void writegenfreq(FILE* fl, 
		  long totals[], long freqs[AANUM], 
		  long totalp[POSNUM], long freqp[AANUM][AANUM][POSNUM],
		  FILE* flog);

void readgenfreq(FILE* fl, 
		 long totals[], long freqs[AANUM], 
		 long totalp[POSNUM], long freqp[AANUM*AANUM*POSNUM],
		 FILE* flog);

void writeposfreq(FILE* fl,
		  long totals[POSNUM], long freqs[AANUM][POSNUM],
		  long totalp[POSNUM][POSNUM], 
		  long freqp[AANUM][AANUM][POSNUM][POSNUM],
		  FILE* flog);

void readposfreq(FILE* fl,
		 long totals[POSNUM], long freqs[AANUM*POSNUM],
		 long totalp[POSNUM*POSNUM], 
		 long freqp[AANUM*AANUM*POSNUM*POSNUM],
		 FILE* flog);

int getseq(FILE* fl, char seq[MAXSEQLEN], int* offset, int* seqlen, 
	   char *title);

#include "sc.h"

int  getseq2 (FILE* fl, Sequence *sequence);


char aanum(char ch);
char aanum2(char ch);
char numaa(char ch);

char posnum(char ch);

char numpos(char ch);

#endif   /* __scio_h__ */

/*       End of Code       */


